import request from '@/utils/request'

// 查询通话记录列表
export function listUserCall(query) {
  return request({
    url: '/cai/userCall/list',
    method: 'get',
    params: query
  })
}

// 查询通话记录详细
export function getUserCall(id) {
  return request({
    url: '/cai/userCall/' + id,
    method: 'get'
  })
}

export function getUserCallByTraceId(traceId) {
  return request({
    url: '/cai/userCall/trace',
    method: 'get',
    params: {traceId:traceId}
  })
}


// 新增通话记录
export function addUserCall(data) {
  return request({
    url: '/cai/userCall',
    method: 'post',
    data: data
  })
}

// 修改通话记录
export function updateUserCall(data) {
  return request({
    url: '/cai/userCall',
    method: 'put',
    data: data
  })
}

// 删除通话记录
export function delUserCall(id) {
  return request({
    url: '/cai/userCall/' + id,
    method: 'delete'
  })
}
